curl --request GET \
--url https://api.myscalev.com/v3/products/{product_id}/relations \
--header 'Authorization: Bearer <token>'{
"bundles": [
{
"bundle_price_options": [
{
"id": 123,
"name": "<string>",
"unique_id": "<string>"
}
],
"business": {
"account_holder": "<string>",
"email": "jsmith@example.com",
"id": 123,
"is_banned": true,
"logo": "<string>",
"unique_id": "<string>",
"username": "<string>"
},
"id": 123,
"name": "<string>",
"pages": {
"all": [
{
"business": {
"account_holder": "<string>",
"email": "jsmith@example.com",
"id": 123,
"is_banned": true,
"logo": "<string>",
"unique_id": "<string>",
"username": "<string>"
},
"id": 123,
"name": "<string>",
"slug": "<string>",
"unique_id": "<string>"
}
],
"will_unpublish": [
{
"business": {
"account_holder": "<string>",
"email": "jsmith@example.com",
"id": 123,
"is_banned": true,
"logo": "<string>",
"unique_id": "<string>",
"username": "<string>"
},
"id": 123,
"name": "<string>",
"slug": "<string>",
"unique_id": "<string>"
}
]
},
"stores": [
{
"business": {
"account_holder": "<string>",
"email": "jsmith@example.com",
"id": 123,
"is_banned": true,
"logo": "<string>",
"unique_id": "<string>",
"username": "<string>"
},
"id": 123,
"name": "<string>",
"unique_id": "<string>"
}
]
}
],
"id": 123,
"name": "<string>",
"pages": {
"all": [
{
"business": {
"account_holder": "<string>",
"email": "jsmith@example.com",
"id": 123,
"is_banned": true,
"logo": "<string>",
"unique_id": "<string>",
"username": "<string>"
},
"id": 123,
"name": "<string>",
"slug": "<string>",
"unique_id": "<string>"
}
],
"will_unpublish": [
{
"business": {
"account_holder": "<string>",
"email": "jsmith@example.com",
"id": 123,
"is_banned": true,
"logo": "<string>",
"unique_id": "<string>",
"username": "<string>"
},
"id": 123,
"name": "<string>",
"slug": "<string>",
"unique_id": "<string>"
}
]
},
"stores": [
{
"business": {
"account_holder": "<string>",
"email": "jsmith@example.com",
"id": 123,
"is_banned": true,
"logo": "<string>",
"unique_id": "<string>",
"username": "<string>"
},
"id": 123,
"name": "<string>",
"unique_id": "<string>"
}
],
"variants": [
{
"id": 123,
"item_type": "physical",
"name": "<string>",
"product_name": "<string>"
}
]
}Requires the product:read machine scope. Shows the relations of a product, including variants, stores, bundles, and pages.
curl --request GET \
--url https://api.myscalev.com/v3/products/{product_id}/relations \
--header 'Authorization: Bearer <token>'{
"bundles": [
{
"bundle_price_options": [
{
"id": 123,
"name": "<string>",
"unique_id": "<string>"
}
],
"business": {
"account_holder": "<string>",
"email": "jsmith@example.com",
"id": 123,
"is_banned": true,
"logo": "<string>",
"unique_id": "<string>",
"username": "<string>"
},
"id": 123,
"name": "<string>",
"pages": {
"all": [
{
"business": {
"account_holder": "<string>",
"email": "jsmith@example.com",
"id": 123,
"is_banned": true,
"logo": "<string>",
"unique_id": "<string>",
"username": "<string>"
},
"id": 123,
"name": "<string>",
"slug": "<string>",
"unique_id": "<string>"
}
],
"will_unpublish": [
{
"business": {
"account_holder": "<string>",
"email": "jsmith@example.com",
"id": 123,
"is_banned": true,
"logo": "<string>",
"unique_id": "<string>",
"username": "<string>"
},
"id": 123,
"name": "<string>",
"slug": "<string>",
"unique_id": "<string>"
}
]
},
"stores": [
{
"business": {
"account_holder": "<string>",
"email": "jsmith@example.com",
"id": 123,
"is_banned": true,
"logo": "<string>",
"unique_id": "<string>",
"username": "<string>"
},
"id": 123,
"name": "<string>",
"unique_id": "<string>"
}
]
}
],
"id": 123,
"name": "<string>",
"pages": {
"all": [
{
"business": {
"account_holder": "<string>",
"email": "jsmith@example.com",
"id": 123,
"is_banned": true,
"logo": "<string>",
"unique_id": "<string>",
"username": "<string>"
},
"id": 123,
"name": "<string>",
"slug": "<string>",
"unique_id": "<string>"
}
],
"will_unpublish": [
{
"business": {
"account_holder": "<string>",
"email": "jsmith@example.com",
"id": 123,
"is_banned": true,
"logo": "<string>",
"unique_id": "<string>",
"username": "<string>"
},
"id": 123,
"name": "<string>",
"slug": "<string>",
"unique_id": "<string>"
}
]
},
"stores": [
{
"business": {
"account_holder": "<string>",
"email": "jsmith@example.com",
"id": 123,
"is_banned": true,
"logo": "<string>",
"unique_id": "<string>",
"username": "<string>"
},
"id": 123,
"name": "<string>",
"unique_id": "<string>"
}
],
"variants": [
{
"id": 123,
"item_type": "physical",
"name": "<string>",
"product_name": "<string>"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.